# $Id: perl-Catalyst-Plugin-Charsets-Japanese.spec 5984 2007-11-11 22:25:32Z dag $
# Authority: dries
# Upstream: Lyo Kato <lyo,kato$gmail,com>

%define perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)
%define perl_vendorarch %(eval "`%{__perl} -V:installvendorarch`"; echo $installvendorarch)

%define real_name Catalyst-Plugin-Charsets-Japanese

Summary: Japanese specific charsets handler
Name: perl-Catalyst-Plugin-Charsets-Japanese
Version: 0.06
Release: 1.%{releasetagsuffix}
License: Artistic/GPL
Group: Applications/CPAN
URL: http://search.cpan.org/dist/Catalyst-Plugin-Charsets-Japanese/

Source: http://www.cpan.org/modules/by-module/Catalyst/Catalyst-Plugin-Charsets-Japanese-%{version}.tar.gz
Packager: Dries Verachtert <dries@ulyssis.org>
Vendor: Dries RPM Repository http://dries.ulyssis.org/rpm/
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root

BuildArch: noarch
BuildRequires: perl
BuildRequires: perl(ExtUtils::MakeMaker)

%description
Japanese specific charsets handler.

%prep
%setup -n %{real_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS="vendor" PREFIX="%{buildroot}%{_prefix}"
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install

### Clean up buildroot
find %{buildroot} -name .packlist -exec %{__rm} {} \;

%clean
%{__rm} -rf %{buildroot}

%files
%defattr(-, root, root, 0755)
%doc Changes README
%doc %{_mandir}/man3/Catalyst::Plugin::Charsets::Japanese*
%{perl_vendorlib}/Catalyst/Plugin/Charsets/Japanese.pm
%{perl_vendorlib}/Catalyst/Plugin/Charsets/Japanese/
%exclude %{perl_vendorlib}/Catalyst/Plugin/Charsets/.Japanese.pm.swp

%changelog
* Sun Nov 19 2006 Dries Verachtert <dries@ulyssis.org> - 0.06-1 #5984
- Initial package.
